package com.goldenwater.yjjt.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;
import com.goldenwater.yjjt.domain.YjjtSlData;

/**
 * 引江济太水量数据Mapper接口
 */
public interface YjjtSlDataMapper
{
    public YjjtSlData selectYjjtSlDataById(Long id);

    public List<YjjtSlData> selectYjjtSlDataList(YjjtSlData slData);

    public int insertYjjtSlData(YjjtSlData slData);

    public int updateYjjtSlData(YjjtSlData slData);

    public int deleteYjjtSlDataById(Long id);

    public int deleteYjjtSlDataByIds(Long[] ids);

    public int countByStcdAndSpt(@Param("stcd") String stcd, @Param("spt") String spt, @Param("addvcd") String addvcd);

    public List<String> selectDistinctRvnmList();

    public List<Map<String, Object>> selectCountByDateRange(@Param("beginDate") String beginDate, @Param("endDate") String endDate);

    public Map<String, Object> selectTodayWeekMonthCount(@Param("addvcd") String addvcd);
}
